Bug 1196676 - X fails to start when booting x86_64 netinst on basic graphic mode (nomodeset)
Summary: X fails to start when booting x86_64 netinst on basic graphic mode (nomodeset)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F22AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-02-26 14:06 UTC by Petr Schindler
Modified: 2015-05-23 11:51 UTC (History)
10 users (show)

Fixed In Version: xorg-x11-server-1.17.1-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 18:22:41 UTC


Attachments (Terms of Use)
X.log (8.09 KB, text/plain)
2015-02-26 14:09 UTC, Petr Schindler
no flags Details
output of journalctl -a (170.33 KB, text/plain)
2015-02-26 14:10 UTC, Petr Schindler
no flags Details

Description Petr Schindler 2015-02-26 14:06:19 UTC
Description of problem:
I tried to boot f22 alpha tc5 workstation netinst in basic graphic mode and it fails to start X.

In X.log there are these lines (I will attach the whole X.log file and output from journalctl -a):
Fatal server error:
[    82.970] (EE) no screens found(EE) 

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.17.1-2.fc22.x86_64
rpm -qa * doesn't work on netinst

How reproducible:
I always reproduced this on two different physical machines but it seems to work with virtual machine

Steps to Reproduce:
1. Boot netinst in basic graphic mode from troubleshoot menu
2. wait for it

Actual results:
X fails to start

Expected results:
X starts properly

Additional info:
I propose this as Alpha blocker. I can't find a proper criterion. I'm not sure if we canceled it or it just disappeared.

Comment 1 Petr Schindler 2015-02-26 14:09:49 UTC
Created attachment 995620 [details]
X.log

Comment 2 Petr Schindler 2015-02-26 14:10:20 UTC
Created attachment 995621 [details]
output of journalctl -a

Comment 3 Chris Murphy 2015-03-02 07:57:04 UTC
Identical problem and error in VirtualBox (with or without nomodeset).

Comment 4 Christopher Meng 2015-03-02 11:28:37 UTC
Identical problem and error in Parallels (with or without nomodeset).

Comment 5 Dan Mossor [danofsatx] 2015-03-02 14:30:21 UTC
+1 AlphaBlocker based on Initialization Requirements: Expected Image Boot Behavior

Release-blocking dedicated installer images must boot to the expected boot menu, and then after a reasonable timeout to the installer.

Comment 6 Petr Schindler 2015-03-02 19:16:47 UTC
Discussed at today's blocker review meeting [1].

This bug was accepted as Alpha Blocker - This bug is a clear violation of the following criterion: "Release-blocking dedicated installer images must boot to the expected boot menu, and then after a reasonable timeout to the installer." Basic graphics is required to work under this criterion, as stated in the "Boot menu contents" clarification.

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-02/

Comment 7 Adam Jackson 2015-03-04 19:32:20 UTC
This is actually an xserver bug, and I'm pretty sure this build will fix it:

http://koji.fedoraproject.org/koji/taskinfo?taskID=9138259

Comment 8 Chris Murphy 2015-03-04 20:04:26 UTC
AlphaTC8: On BIOS baremetal and VirtualBox, nomodeset doesn't work (understood this is expected as part of this bug); however the same media does work on UEFI baremetal and VirtualBox with nomodeset. So that suggests VESA vs GOP graphics or something?

Comment 9 Adam Williamson 2015-03-04 20:13:08 UTC
Fix tested and confirmed with a KDE live image on bare metal: built with the current xserver, 'basic graphics mode' fails with the same error here, built with the new xserver package, 'basic graphics mode' boot succeeds. ajax, can you please submit an update? thanks!

Comment 10 Fedora Update System 2015-03-04 20:15:33 UTC
xorg-x11-server-1.17.1-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.17.1-6.fc22

Comment 11 Christopher Meng 2015-03-05 02:24:54 UTC
Thanks, karma given.

Comment 12 Fedora Update System 2015-03-05 18:22:41 UTC
xorg-x11-server-1.17.1-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.